#include <cmath>
#include <vector>

/** Categorical cross entropy loss function for multi category categorization
 * tasks
 *
 */
struct CategoricalCrossEntropy {
  float static loss(std::vector<float> y, std::vector<float> yhat) {
    float loss = 0;
    for (int i; i < y.size(); i++) {
      loss += y[i] * log(yhat[i]);
    }
    return loss;
  }
};
